<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectBrowserHelper</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectBrowserHelper</h1>
<p>
Module implementing the shelve extension project browser helper.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#ShelveProjectBrowserHelper">ShelveProjectBrowserHelper</a></td>
<td>Class implementing the shelve extension project browser helper.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="ShelveProjectBrowserHelper" ID="ShelveProjectBrowserHelper"></a>
<h2>ShelveProjectBrowserHelper</h2>
<p>
    Class implementing the shelve extension project browser helper.
</p>

<h3>Derived from</h3>
HgExtensionProjectBrowserHelper
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#ShelveProjectBrowserHelper.__init__">ShelveProjectBrowserHelper</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#ShelveProjectBrowserHelper.__hgShelve">__hgShelve</a></td>
<td>Private slot used to shelve all current changes.</td>
</tr>
<tr>
<td><a href="#ShelveProjectBrowserHelper.__reopenProject">__reopenProject</a></td>
<td>Private method to reopen the project if needed and wanted.</td>
</tr>
<tr>
<td><a href="#ShelveProjectBrowserHelper.initMenus">initMenus</a></td>
<td>Public method to generate the extension menus.</td>
</tr>
<tr>
<td><a href="#ShelveProjectBrowserHelper.menuTitle">menuTitle</a></td>
<td>Public method to get the menu title.</td>
</tr>
<tr>
<td><a href="#ShelveProjectBrowserHelper.showExtensionMenu">showExtensionMenu</a></td>
<td>Public method to prepare the extension menu for display.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="ShelveProjectBrowserHelper.__init__" ID="ShelveProjectBrowserHelper.__init__"></a>
<h4>ShelveProjectBrowserHelper (Constructor)</h4>
<b>ShelveProjectBrowserHelper</b>(<i>vcsObject, browserObject, projectObject</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcsObject</i> (Hg)</dt>
<dd>
reference to the vcs object
</dd>
<dt><i>browserObject</i> (ProjectBaseBrowser)</dt>
<dd>
reference to the project browser object
</dd>
<dt><i>projectObject</i> (Project)</dt>
<dd>
reference to the project object
</dd>
</dl>
<a NAME="ShelveProjectBrowserHelper.__hgShelve" ID="ShelveProjectBrowserHelper.__hgShelve"></a>
<h4>ShelveProjectBrowserHelper.__hgShelve</h4>
<b>__hgShelve</b>(<i></i>)
<p>
        Private slot used to shelve all current changes.
</p>

<a NAME="ShelveProjectBrowserHelper.__reopenProject" ID="ShelveProjectBrowserHelper.__reopenProject"></a>
<h4>ShelveProjectBrowserHelper.__reopenProject</h4>
<b>__reopenProject</b>(<i>shouldReopen, title</i>)
<p>
        Private method to reopen the project if needed and wanted.
</p>

<dl>

<dt><i>shouldReopen</i> (bool)</dt>
<dd>
flag indicating that the project should
            be reopened
</dd>
<dt><i>title</i> (str)</dt>
<dd>
title of the message box
</dd>
</dl>
<a NAME="ShelveProjectBrowserHelper.initMenus" ID="ShelveProjectBrowserHelper.initMenus"></a>
<h4>ShelveProjectBrowserHelper.initMenus</h4>
<b>initMenus</b>(<i></i>)
<p>
        Public method to generate the extension menus.
</p>

<dl>
<dt>Return:</dt>
<dd>
dictionary of populated menu. The dict must have the keys 'mainMenu',
            'multiMenu', 'backMenu', 'dirMenu' and 'dirMultiMenu'.
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict of QMenu
</dd>
</dl>
<a NAME="ShelveProjectBrowserHelper.menuTitle" ID="ShelveProjectBrowserHelper.menuTitle"></a>
<h4>ShelveProjectBrowserHelper.menuTitle</h4>
<b>menuTitle</b>(<i></i>)
<p>
        Public method to get the menu title.
</p>

<dl>
<dt>Return:</dt>
<dd>
title of the menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="ShelveProjectBrowserHelper.showExtensionMenu" ID="ShelveProjectBrowserHelper.showExtensionMenu"></a>
<h4>ShelveProjectBrowserHelper.showExtensionMenu</h4>
<b>showExtensionMenu</b>(<i>key, controlled</i>)
<p>
        Public method to prepare the extension menu for display.
</p>

<dl>

<dt><i>key</i> (str)</dt>
<dd>
menu key (one of 'mainMenu', 'multiMenu', 'backMenu', 'dirMenu'
            or 'dirMultiMenu')
</dd>
<dt><i>controlled</i> (bool)</dt>
<dd>
flag indicating to prepare the menu for a
            version controlled entry or a non-version controlled entry
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
